# Configuration file

alternative_chunkloading {
    # When "disableChunkLoadingOnRequest" is true then this option helps that chunk load tickets continue to load the target chunk automatically. Otherwise such tickets are useless and chunkloaders too. You may want to disable this if your Chunkloader mod can that too (probably not). [default: true]
    B:autoLoadChunksOnTicketCreation=true

    # Dimension that should be ignored. Write down the id of the dimension. [default: []]
    I:dimensionBlacklist <
     >

    # Tread "dimensionBlacklist" as whitelist. [default: false]
    B:dimensionBlacklistAsWhitelist=false

    # Disables the option "loadChunkOnProvideRequest" on server to not load chunks whenever they are maybe requested. [default: true]
    B:disableChunkLoadingOnRequest=true

    # Provider that should be ignored. Write down the full class name (includes the package name). [default: ]
    S:providerBlacklist <
        org.dimdev.dimdoors.world.PersonalPocketProvider
        org.dimdev.dimdoors.world.PocketProvider
        org.dimdev.dimdoors.world.LimboProvider
     >

    # Tread "providerBlacklist" as whitelist. [default: false]
    B:providerBlacklistAsWhitelist=false

    # Ticks before a chunk should be loaded or unloaded after a chunkload ticket as been created or removed. Only has affect if "enabled" is active. [range: -2147483648 ~ 2147483647, default: 20]
    I:ticksBeforeLoadChunk=20
}


auto_unload_dims {
    # Dimensions that should be ignored. [default: [1, -1]]
    I:dimensionBlacklist <
     >

    # Tread "dimensionBlacklist" as whitelist. [default: false]
    B:dimensionBlacklistAsWhitelist=false

    # Automatically unload dimensions if there is no chunk loaded. [default: true]
    B:enabled=true

    # Provider that should be ignored. Write down the full class name (includes the package name). [default: ]
    S:providerBlacklist <
        org.dimdev.dimdoors.world.PersonalPocketProvider
        org.dimdev.dimdoors.world.PocketProvider
        org.dimdev.dimdoors.world.LimboProvider
     >

    # Tread "providerBlacklist" as whitelist. [default: false]
    B:providerBlacklistAsWhitelist=false

    # Ticks before a dimension should be unloaded when it hasn't any chunk loaded. Only has affect if "enabled" is active. [range: -2147483648 ~ 2147483647, default: 1200]
    I:ticksBeforeUnloadDimension=1200
}


general {
}


